Puppet Class: openstack::keystone::service::rocky::stretch

Defined in:
modules/openstack/manifests/keystone/service/rocky/stretch.pp

Overview



1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
# File 'modules/openstack/manifests/keystone/service/rocky/stretch.pp', line 1

class openstack::keystone::service::rocky::stretch(
) {
    require ::openstack::serverpackages::rocky::stretch

    apt::repository { 'stretch-wikimedia-thirdparty-oath':
        uri        => 'http://apt.wikimedia.org/wikimedia',
        dist       => stretch-wikimedia,
        components => 'thirdparty/oath',
        source     => false,
        before     => Package[python-oath],
    }

    package { 'python-oath':
        ensure  => present,
    }

    # pull in python-ldap version 3+ from the buster repo.
    #  older versions don't handle unicode properly.
    #  T229227
    apt::repository { 'stretch-wikimedia-component-python-ldap-bpo':
        uri        => 'http://apt.wikimedia.org/wikimedia',
        dist       => stretch-wikimedia,
        components => 'component/python-ldap-bpo',
        before     => Package['keystone'],
        notify     => Exec['apt_update_python_ldap'],
    }
    exec {'apt_update_python_ldap':
        command     => '/usr/bin/apt-get update',
        refreshonly => true,
    }

    $packages = [
        'keystone',
        'alembic',
        'python-alembic',
        'python-amqp',
        'python-castellan',
        'python-cliff',
        'python-cmd2',
        'python-concurrent.futures',
        'python-cryptography',
        'python-dogpile.cache',
        'python-eventlet',
        'python-funcsigs',
        'python-futurist',
        'python-jinja2',
        'python-jsonschema',
        'python-kombu',
        'python-memcache',
        'python-migrate',
        'python-openssl',
        'python-pyasn1',
        'python-pycadf',
        'python-pyinotify',
        'python-pymysql',
        'python-pyparsing',
        'python-routes',
        'python-sqlalchemy',
        'python-unicodecsv',
        'python-warlock',
        'ldapvi',
        'python-ldap',
        'python-ldappool',
        'python3-ldap3',
        'ruby-ldap',
        'python3-mwclient',
        'libapache2-mod-wsgi-py3',
    ]

    package { $packages:
        ensure  => 'present',
    }
}